--- acl.SlackBuild	2006-08-03 20:59:14.000000000 -0400
+++ acl.SlackBuild.s390x	2006-08-07 14:50:01.000000000 -0400
@@ -44,8 +44,8 @@
   --exec-prefix=/ \
   --sbindir=/bin \
   --bindir=/usr/bin \
-  --libdir=/lib \
-  --libexecdir=/usr/lib \
+  --libdir=/lib64 \
+  --libexecdir=/usr/lib64 \
   --includedir=/usr/include \
   --mandir=/usr/man \
   --datadir=/usr/share
@@ -66,14 +66,14 @@
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
-strip -g $PKG/usr/lib/*.a
+strip -g $PKG/usr/lib64/*.a
 
 # Remove bogus files:
-rm -f $PKG/lib/*.a $PKG/lib/libacl.so $PKG/lib/*.la $PKG/usr/lib/*.la
-# Make /usr/lib/libacl.so a symlink to /lib:
-( cd $PKG/usr/lib ; rm -f libacl.so ; ln -sf /lib/libacl.so.1 libacl.so )
+rm -f $PKG/lib64/*.a $PKG/lib64/libacl.so $PKG/lib64/*.la $PKG/usr/lib64/*.la
+# Make /usr/lib64/libacl.so a symlink to /lib64:
+( cd $PKG/usr/lib64 ; rm -f libacl.so ; ln -sf /lib64/libacl.so.1 libacl.so )
 # Fix shared library perms:
-chmod 755 $PKG/lib/*
+chmod 755 $PKG/lib64/*
 
 # Gzip the man pages:
 ( cd $PKG/usr/man
